unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, FileUtil, DBDateTimePicker, Forms, Controls, Graphics,
  Dialogs, DbCtrls, DBGrids, Menus, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    MainMenu1: TMainMenu;
    MNUAppCountries: TMenuItem;
    MNUapp: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    procedure DBGrid1DblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure MNUAppCountriesClick(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
  private
    procedure StartScreen(const aID: integer);
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses datamodule, uCountries, uauthorsedit;

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
  datamodule1.SQLite3Connection1.Open;
  datamodule1.SQLQuery1.active := true;
end;

procedure TForm1.MNUAppCountriesClick(Sender: TObject);
begin
  FrmCountries.Showmodal;
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
  StartScreen(-1)
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
  StartScreen(datamodule1.SQLQuery1.FieldByName('id').AsInteger)
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
begin
  datamodule1.SQLQuery1.active := false;
  datamodule1.SQLite3Connection1.close;
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
  StartScreen(datamodule1.SQLQuery1.FieldByName('id').AsInteger)
end;

procedure TForm1.StartScreen(const aID : integer);
var Frm : TFrmAuthorEdit;
begin
  Frm := TFrmAuthorEdit.Create(nil);
  try
    Frm.fID := aID;
    Frm.showmodal;
  finally
    Frm.free;
    datamodule1.SQLQuery1.Refresh;
  end;
end;


end.

